## visad.benjamin
Class Galaxy

    java.lang.Object
      visad.benjamin.Galaxy

All Implemented Interfaces:
  ActionListener, EventListener

public class Galaxy
extends Object
implements ActionListener

Galaxy implements the interactive Milky Way model application using VisAD 2.0.

Nested Class Summary
`(package private) class` `Galaxy.ContourCell`

Field Summary
`(package private) DataReference` `A1_ref`
`(package private) DataReference` `A2_ref`
`(package private) DataReference` `Aa_ref`
`(package private) float` `b`
`(package private) JPanel` `center`
`(package private) RemoteServer` `client_server` RemoteServer for client this Galaxy is a client if client_server != null
`(package private) ConstantMap[]` `cmaps`
`(package private) ConstantMap[]` `cmaps_line`
`(package private) ConstantMap[]` `cmaps_sol`
`(package private) DataReference` `compute_button_ref`
`(package private) DataReference` `contour_button_ref` DataReferences for two Cell trigger buttons
`(package private) JTextField[]` `coord_fields`
`(package private) float` `d`
`(package private) RealType` `density`
`(package private) DataReference` `density_button_ref`
`(package private) DataReference` `density_ref` DataReference for density contour slider
`(package private) DisplayImpl` `display1` Displays
`(package private) DisplayImpl` `display2`
`(package private) DisplayImpl` `display3`
`(package private) DisplayImpl` `display4`
`(package private) DisplayImpl` `display5`
`(package private) FunctionType` `dist_density`
`(package private) DataReference` `dist_densityRef`
`(package private) RealType` `distance`
`(package private) Set` `distDomain`
`(package private) Linear1DSet` `distSol_set`
`(package private) static double` `elast`
`(package private) RealType` `element`
`(package private) RealType` `emission`
`(package private) static double` `F1`
`(package private) static double` `F2`
`(package private) static double` `Fa`
`(package private) FlatField` `field_D`
`(package private) FlatField` `field_E`
`(package private) JButton` `flat_sphere_button`
`(package private) DataReference` `flat_sphere_button_ref`
`(package private) RealTupleType` `grid_domain`
`(package private) DataReference` `grid_ref` declare DataReferences
`(package private) Linear3DSet` `grid_set` declare sets
`(package private) FunctionType` `grid_type`
`(package private) RealType` `gridx` declare MathTypes
`(package private) RealType` `gridy`
`(package private) RealType` `gridz`
`(package private) DataReference` `h1_ref`
`(package private) DataReference` `h2_ref`
`(package private) DataReference` `ha_ref`
`(package private) int` `i_type`
`(package private) float[][]` `image_b`
`(package private) RealTupleType` `image_domain`
`(package private) DataReference` `image_ref`
`(package private) Linear2DSet` `image_set`
`(package private) FunctionType` `image_type`
`(package private) RealType` `Intensity`
`(package private) DataReference` `ireg_set_ref`
`(package private) float` `l`
`(package private) float` `last_x`
`(package private) float` `last_y`
`(package private) float` `last_z`
`(package private) RealType` `lat`
`(package private) float[]` `lbd`
`(package private) int` `length_0`
`(package private) int` `length_1`
`(package private) RealType` `line`
`(package private) Gridded3DSet` `line_to_sol`
`(package private) DataReference` `line_to_sol_ref`
`(package private) ScalarMap` `linemap` ScalarMap for 'line' in display2
`(package private) static double` `llast`
`(package private) RealType` `lon`
`(package private) float[][]` `lonlat_b`
`(package private) RealTupleType` `lonlat_range`
`(package private) DataReference` `lonlat_ref`
`(package private) Linear2DSet` `lonlat_set`
`(package private) FunctionType` `lonlat_type`
`(package private) LabeledColorWidget` `lw2` color widgets for sky map images
`(package private) LabeledColorWidget` `lw5`
`(package private) int` `n_profpts`
`(package private) DataReference` `n1_ref` DataReferences for 13 interactive model paramters
`(package private) DataReference` `n2_ref`
`(package private) DataReference` `na_ref`
`(package private) int` `npts`
`(package private) static int` `NRMAX`
`(package private) static int` `NX`
`(package private) static int` `NXP`
`(package private) static int` `NxpxMAX` constants borrowed from Fortran include file dimen.h
`(package private) static int` `NY`
`(package private) static int` `NYP`
`(package private) static int` `NypxMAX`
`(package private) static int` `NZ`
`(package private) static int` `NZMAX`
`(package private) static int` `NZP`
`(package private) JPanel` `panel2`
`(package private) JPanel` `panel5`
`(package private) RealType` `radiance`
`(package private) DataReference` `red_cursor_ref`
`(package private) DataReference` `reset_button_ref`
`(package private) float[][]` `samples`
`(package private) RemoteServerImpl` `server_server` RemoteServerImpl for server this Galaxy is a server if server_server != null
`(package private) SampledSet[]` `set_s`
`(package private) RealTuple` `sol`
`(package private) DataReference` `sol_ref`
`(package private) UnionSet` `sol_sight`
`(package private) DataReference` `sol_sightRef`
`(package private) float` `sol_x`
`(package private) float` `sol_y`
`(package private) float` `sol_z`
`(package private) DataReference` `sphrSkyMap_ref`
`(package private) RealType` `v_LSR`
`(package private) FunctionType` `vel_intensity`
`(package private) DataReference` `vel_intensityRef`
`(package private) Set` `velDomain`
`(package private) DataReference` `wa_ref`
`(package private) JPanel` `widget_panel`
`(package private) Gridded3DSet` `x_to_sol`
`(package private) float[]` `xprof`
`(package private) float[][]` `xprof_a`
`(package private) Gridded3DSet` `y_to_sol`
`(package private) ConstantMap[]` `yellow`
`(package private) float[]` `yprof`
`(package private) float[][]` `yprof_a`
`(package private) Gridded3DSet` `z_to_sol`

Constructor Summary
`Galaxy(String[] args)`

Method Summary
`void` `actionPerformed(ActionEvent e)` Handles button press events.
`static void` `main(String[] args)` type 'java -mx64m visad.benjamin.Galaxy' to run this application; the main thread just exits, since Display, Cell and JFC threads run the application
`(package private) void` `setupClient()` set up as client
`(package private) void` `setupDisplays(boolean client, DisplayImpl[] displays, VisADSlider[] sliders)` set up Displays; client is true for client and false for server; return constructed Displays in displays array
`(package private) void` `setupServer()` set up as server
`(package private) void` `setupUI(DisplayImpl[] displays, VisADSlider[] sliders)` construct user interface using JFC

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server_server

    RemoteServerImpl server_server

  RemoteServerImpl for server this Galaxy is a server if server_server != null

### client_server

    RemoteServer client_server

  RemoteServer for client this Galaxy is a client if client_server != null

### NxpxMAX

    static int NxpxMAX

  constants borrowed from Fortran include file dimen.h

### NypxMAX

    static int NypxMAX

### NRMAX

    static int NRMAX

### NZMAX

    static int NZMAX

### NXP

    static int NXP

### NYP

    static int NYP

### NZP

    static int NZP

### NX

    static int NX

### NY

    static int NY

### NZ

    static int NZ

### llast

    static double llast

### elast

    static double elast

### grid_set

    Linear3DSet grid_set

  declare sets

### image_set

    Linear2DSet image_set

### lonlat_set

    Linear2DSet lonlat_set

### distSol_set

    Linear1DSet distSol_set

### distDomain

    Set distDomain

### velDomain

    Set velDomain

### line_to_sol

    Gridded3DSet line_to_sol

### x_to_sol

    Gridded3DSet x_to_sol

### y_to_sol

    Gridded3DSet y_to_sol

### z_to_sol

    Gridded3DSet z_to_sol

### set_s

    SampledSet[] set_s

### sol_sight

    UnionSet sol_sight

### sol

    RealTuple sol

### sol_x

    float sol_x

### sol_y

    float sol_y

### sol_z

    float sol_z

### npts

    int npts

### samples

    float[][] samples

### n_profpts

    int n_profpts

### xprof

    float[] xprof

### yprof

    float[] yprof

### yprof_a

    float[][] yprof_a

### xprof_a

    float[][] xprof_a

### i_type

    int i_type

### last_x

    float last_x

### last_y

    float last_y

### last_z

    float last_z

### l

    float l

### b

    float b

### d

    float d

### lbd

    float[] lbd

### lonlat_b

    float[][] lonlat_b

### image_b

    float[][] image_b

### length_0

    int length_0

### length_1

    int length_1

### gridx

    RealType gridx

  declare MathTypes

### gridy

    RealType gridy

### gridz

    RealType gridz

### grid_domain

    RealTupleType grid_domain

### density

    RealType density

### emission

    RealType emission

### Intensity

    RealType Intensity

### distance

    RealType distance

### v_LSR

    RealType v_LSR

### grid_type

    FunctionType grid_type

### dist_density

    FunctionType dist_density

### vel_intensity

    FunctionType vel_intensity

### field_D

    FlatField field_D

### field_E

    FlatField field_E

### line

    RealType line

### element

    RealType element

### image_domain

    RealTupleType image_domain

### radiance

    RealType radiance

### image_type

    FunctionType image_type

### lon

    RealType lon

### lat

    RealType lat

### lonlat_range

    RealTupleType lonlat_range

### lonlat_type

    FunctionType lonlat_type

### grid_ref

    DataReference grid_ref

  declare DataReferences

### image_ref

    DataReference image_ref

### lonlat_ref

    DataReference lonlat_ref

### sphrSkyMap_ref

    DataReference sphrSkyMap_ref

### ireg_set_ref

    DataReference ireg_set_ref

### line_to_sol_ref

    DataReference line_to_sol_ref

### sol_ref

    DataReference sol_ref

### sol_sightRef

    DataReference sol_sightRef

### red_cursor_ref

    DataReference red_cursor_ref

### dist_densityRef

    DataReference dist_densityRef

### vel_intensityRef

    DataReference vel_intensityRef

### n1_ref

    DataReference n1_ref

  DataReferences for 13 interactive model paramters

### h1_ref

    DataReference h1_ref

### A1_ref

    DataReference A1_ref

### n2_ref

    DataReference n2_ref

### h2_ref

    DataReference h2_ref

### A2_ref

    DataReference A2_ref

### na_ref

    DataReference na_ref

### ha_ref

    DataReference ha_ref

### wa_ref

    DataReference wa_ref

### Aa_ref

    DataReference Aa_ref

### F1

    static final double F1

See Also:
  Constant Field Values

### F2

    static final double F2

See Also:
  Constant Field Values

### Fa

    static final double Fa

See Also:
  Constant Field Values

### density_ref

    DataReference density_ref

  DataReference for density contour slider

### contour_button_ref

    DataReference contour_button_ref

  DataReferences for two Cell trigger buttons

### compute_button_ref

    DataReference compute_button_ref

### reset_button_ref

    DataReference reset_button_ref

### density_button_ref

    DataReference density_button_ref

### flat_sphere_button_ref

    DataReference flat_sphere_button_ref

### display1

    DisplayImpl display1

  Displays

### display2

    DisplayImpl display2

### display3

    DisplayImpl display3

### display4

    DisplayImpl display4

### display5

    DisplayImpl display5

### coord_fields

    JTextField[] coord_fields

### center

    JPanel center

### flat_sphere_button

    JButton flat_sphere_button

### panel2

    JPanel panel2

### panel5

    JPanel panel5

### widget_panel

    JPanel widget_panel

### lw2

    LabeledColorWidget lw2

  color widgets for sky map images

### lw5

    LabeledColorWidget lw5

### cmaps

    ConstantMap[] cmaps

### cmaps_sol

    ConstantMap[] cmaps_sol

### cmaps_line

    ConstantMap[] cmaps_line

### yellow

    ConstantMap[] yellow

### linemap

    ScalarMap linemap

  ScalarMap for 'line' in display2

Constructor Detail

### Galaxy

    public Galaxy(String[] args)
           throws VisADException,
                  RemoteException

Method Detail

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException

  type 'java -mx64m visad.benjamin.Galaxy' to run this application; the main thread just exits, since Display, Cell and JFC threads run the application

  Throws:
    `VisADException`
    `RemoteException`

### setupServer

    void setupServer()
               throws VisADException,
                      RemoteException

  set up as server

  Throws:
    `VisADException`
    `RemoteException`

### setupClient

    void setupClient()
               throws VisADException,
                      RemoteException

  set up as client

  Throws:
    `VisADException`
    `RemoteException`

### setupDisplays

    void setupDisplays(boolean client,
                       DisplayImpl[] displays,
                       VisADSlider[] sliders)
                 throws VisADException,
                        RemoteException

  set up Displays; client is true for client and false for server; return constructed Displays in displays array

  Throws:
    `VisADException`
    `RemoteException`

### setupUI

    void setupUI(DisplayImpl[] displays,
                 VisADSlider[] sliders)
           throws VisADException,
                  RemoteException

  construct user interface using JFC

  Throws:
    `VisADException`
    `RemoteException`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Handles button press events.

  Specified by:
    `actionPerformed` in interface `ActionListener`